org.eclipse.eef

## Interface EEFGridLayoutDescription

All Superinterfaces:
  EEFLayoutDescription, org.eclipse.emf.ecore.EObject, org.eclipse.emf.common.notify.Notifier

All Known Implementing Classes:
  EEFGridLayoutDescriptionImpl

    public interface EEFGridLayoutDescription
    extends EEFLayoutDescription

A representation of the model object 'EEF Grid Layout Description'.

The following features are supported:

- `Number Of Columns`
- `Make Columns With Equal Width`

See Also:
  `EefPackage.getEEFGridLayoutDescription()`

### Method Summary

All Methods Instance Methods Abstract Methods
`int` `getNumberOfColumns()` Returns the value of the 'Number Of Columns' attribute.
`boolean` `isMakeColumnsWithEqualWidth()` Returns the value of the 'Make Columns With Equal Width' attribute.
`void` `setMakeColumnsWithEqualWidth(boolean value)` Sets the value of the '`Make Columns With Equal Width`' attribute.
`void` `setNumberOfColumns(int value)` Sets the value of the '`Number Of Columns`' attribute.

### Methods inherited from interface org.eclipse.emf.ecore.EObject

`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

### Methods inherited from interface org.eclipse.emf.common.notify.Notifier

`eAdapters, eDeliver, eNotify, eSetDeliver`

### Method Detail

#### getNumberOfColumns

    int getNumberOfColumns()

Returns the value of the 'Number Of Columns' attribute. The default value is `"1"`. The number of columns used inside the grid layout.

Returns:
  the value of the 'Number Of Columns' attribute.
See Also:
  `setNumberOfColumns(int)`, `EefPackage.getEEFGridLayoutDescription_NumberOfColumns()`

#### setNumberOfColumns

    void setNumberOfColumns(int value)

Sets the value of the '`Number Of Columns`' attribute.

Parameters:
  `value` - the new value of the 'Number Of Columns' attribute.
See Also:
  `getNumberOfColumns()`

#### isMakeColumnsWithEqualWidth

    boolean isMakeColumnsWithEqualWidth()

Returns the value of the 'Make Columns With Equal Width' attribute. The default value is `"true"`. Indicates if the columns should have an equal width.

Returns:
  the value of the 'Make Columns With Equal Width' attribute.
See Also:
  `setMakeColumnsWithEqualWidth(boolean)`, `EefPackage.getEEFGridLayoutDescription_MakeColumnsWithEqualWidth()`

#### setMakeColumnsWithEqualWidth

    void setMakeColumnsWithEqualWidth(boolean value)

Sets the value of the '`Make Columns With Equal Width`' attribute.

Parameters:
  `value` - the new value of the 'Make Columns With Equal Width' attribute.
See Also:
  `isMakeColumnsWithEqualWidth()`